/**
 * 
 */
package com.example.local.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import com.example.local.exception.LocalException;
import com.example.local.model.LocalAccount;
import com.example.local.service.LocalService;
import com.example.local.utils.JsonData;

/**
 * @author PradeepBadiger
 *
 */
@Controller
public class LocalRSController {

	@Autowired
	private LocalService localService;
	
	@RequestMapping(value="/saveAccountRecord.action")
	public @ResponseBody String saveAccountRecord(@RequestParam String accountNumber
			, @RequestParam int amount
			, @RequestParam String testCaseId) throws LocalException {
		localService.saveLocalAccount(new LocalAccount(accountNumber, amount), testCaseId);
		return new JsonData(true, "Local Account record saved successfully", null).toString();
	}
	
	
	
	@ExceptionHandler(LocalException.class)
	public @ResponseBody String handleException(LocalException exception){
		return new JsonData(false, exception.getMessage(), null).toString();
	}
	
}
